com.amazonaws.services.simpleworkflow.model

## Class ExternalWorkflowExecutionCancelRequestedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ExternalWorkflowExecutionCancelRequestedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class ExternalWorkflowExecutionCancelRequestedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `ExternalWorkflowExecutionCancelRequested` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ExternalWorkflowExecutionCancelRequestedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ExternalWorkflowExecutionCancelRequestedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`Long` `getInitiatedEventId()` The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this external workflow execution.
`WorkflowExecution` `getWorkflowExecution()` The external workflow execution to which the cancellation request was delivered.
`int` `hashCode()`
`void` `setInitiatedEventId(Long initiatedEventId)` The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this external workflow execution.
`void` `setWorkflowExecution(WorkflowExecution workflowExecution)` The external workflow execution to which the cancellation request was delivered.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ExternalWorkflowExecutionCancelRequestedEventAttributes` `withInitiatedEventId(Long initiatedEventId)` The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this external workflow execution.
`ExternalWorkflowExecutionCancelRequestedEventAttributes` `withWorkflowExecution(WorkflowExecution workflowExecution)` The external workflow execution to which the cancellation request was delivered.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExternalWorkflowExecutionCancelRequestedEventAttributes

    public ExternalWorkflowExecutionCancelRequestedEventAttributes()

### Method Detail

#### setWorkflowExecution

    public void setWorkflowExecution(WorkflowExecution workflowExecution)

The external workflow execution to which the cancellation request was delivered.

Parameters:
  `workflowExecution` - The external workflow execution to which the cancellation request was delivered.

#### getWorkflowExecution

    public WorkflowExecution getWorkflowExecution()

The external workflow execution to which the cancellation request was delivered.

Returns:
  The external workflow execution to which the cancellation request was delivered.

#### withWorkflowExecution

    public ExternalWorkflowExecutionCancelRequestedEventAttributes withWorkflowExecution(WorkflowExecution workflowExecution)

The external workflow execution to which the cancellation request was delivered.

Parameters:
  `workflowExecution` - The external workflow execution to which the cancellation request was delivered.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInitiatedEventId

    public void setInitiatedEventId(Long initiatedEventId)

The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this external workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `initiatedEventId` - The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this external workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getInitiatedEventId

    public Long getInitiatedEventId()

The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this external workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this external workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withInitiatedEventId

    public ExternalWorkflowExecutionCancelRequestedEventAttributes withInitiatedEventId(Long initiatedEventId)

The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this external workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `initiatedEventId` - The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this external workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ExternalWorkflowExecutionCancelRequestedEventAttributes clone()

Overrides:
  `clone` in class `Object`